#login,
.loginPage{
    height: 100vh;
}
.loginPage{
    display: flex;
    background-image: url("../img/login/desktop-bg.png");
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    background-color: #854e90;
}
.loginPage > img{
    position: absolute;
    left: 0;
    bottom: 0;
    width: 790px;
}
.sticky + .loginPage ,
.sticky + section {
    margin-top: 150px;
}
button,
button:focus,
button:focus-visible{
    outline: none !important;
}
/* Change the white to any color */
/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    background-color: transparent !important;

}

.EntranceBox {
    position: relative;
    border-radius: 10px;
    width: 450px;
    height: max-content;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 15px 10px 35px;
    margin: auto 25vw auto auto;
    border: 1px solid #fff;
    background-color: rgba(255, 255, 255, 0.12);
    backdrop-filter: blur(10px);
}
.entrance-form {
    width: 100%;
    padding-top: 70px;
}
.entrance-form *{
    color: #fff;
}
.entrance-top-imgBox{
    border: 1px solid #fff;
    border-radius: 50%;
    width: 110px;
    height: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-inline: auto;
    position: absolute;
    inset: -60px 0 0;
    background-color: #915F95;
}
#login h4 {
    color: #706f6f;
    font-weight: 100;
    margin: 25px 0;
    font-size: 1rem;
}
.entrance-inputBox{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
    position: relative;
    border-bottom: 1px solid #fff;
    /* padding-bottom: 10px; */
    width: 80%;
    margin-inline: auto;
    margin-top: 20px;
}
.entrance-inputBox img{
    position: relative;
    top: -5px;
    width: 30px;
    height: 30px;
    object-fit: contain;
}
.loginPage input {
    padding: 10px;
    border: 0;
    direction:ltr;
    text-align: right;
    width: 100%;
    font-size: 0.8rem;
    background-color: transparent !important;
    font-family: Samim-FD;
    outline: none !important;
    color: #fff;
}
.loginPage input:-webkit-autofill,
.loginPage input:-webkit-autofill:hover,
.loginPage input:-webkit-autofill:focus,
.loginPage input:-webkit-autofill:active{
  -webkit-text-fill-color: #fff;
  -webkit-box-shadow: 0 0 0px 1000px transparent inset;
  transition: background-color 5000s ease-in-out 0s;
}
.loginPage input::placeholder{
    color: #fff;
}
.entrance-title{
    font-weight: bold;
    font-size: 1.2rem;
    color: #fff;
}
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type="number"]{
    -moz-appearance: textfield;
}
.txtNumber{
    /* margin-bottom: 20px; */
}
.enterMessage input {
    padding: 12px 0;
    border: 1px solid #ccc;
    direction:ltr;
    text-align:center;
    width: 100%;
}

.entryError{
    color: #fff;
    background-color: #CF2F2F;
    border-radius: 30px;
    padding: 10px 10px;
    font-size: 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-block: 20px;
    width: max-content;
    margin-right: 17%;
    position: relative;
    opacity: 0;
    height: 35px;
}
.entryError.show{
    opacity: 1;
}
/* .entryError::before{
    content: url('../img/login/Vector(29).svg');
    position: absolute;
    right: -30px;
} */
.button {
    background-color: #3cbd2c;
    border: none;
    color: #fff;
    padding: 10px 35px;
    min-width: max-content;
    cursor: pointer;
    font-size: .8rem;
    transition: color .45s cubic-bezier(.785, .135, .15, .86), border .45s cubic-bezier(.785, .135, .15, .86);
    position: relative;
    z-index: 1;
    border: 1px solid transparent;
    box-shadow: 0 0 0 0 transparent;
    border: 1px solid #fff;
    border-radius: 5px;
    margin-top: 30px;
}
.button:disabled{
    background-color: rgba(132, 183, 126, 0.7);
}
button::before                                        {
    /*background-color: #73EFE5;*/
    position: absolute;
    content: '';
    display: block;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    transform: scale(1,1);
    transform-origin: left center;
    z-index: -1;
    transition: transform .45s cubic-bezier(.785, .135, .15, .86);
}
.register-btn{
    width: 150px;
}
.enterMessage {
    width: 100% !important;
    margin-block: 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.account-types{
    justify-content: space-between;
    flex-direction: row;
}
.account-types>div{
    display: flex;
    align-items: center;
}
.account-types input{
    cursor: pointer;
}
.account-types label{
    min-width: max-content;
    margin-bottom: 0;
    cursor: pointer;
    padding-right: 5px;
}
.messageForm {
    width: 100% !important;
    padding-top: 50px;
}
.numChange{
    font-size: 0.8rem;
    cursor: pointer;
}
.message-btn-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: center;
    width: 100%;
    margin: 20px auto;
}
.message-btn-container > div{
    display: flex;
    align-items: center;
}
.message-btn-container svg{
    fill: #444;
    margin-left: 5px;
    width: 20px;
    height: 20px;
}
.change-register-btn {
    background-color: #3a9ab6;
    border: none;
    color: #fff;
    padding: 10px 0;
    min-width: 120px;
    border-radius: 10px;
    cursor: pointer;
    min-width: 120px;
    width: 65%;
}
.pass-links {
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: 15px auto;
}
.numChange{
    position: absolute;
    bottom: -30px;
    right: 0;
    color: #fff;
    display: flex;
    align-items: center;
    gap: 5px;
}
@media screen and (min-width: 800px) {
    .button:hover{
        /* color: #1c1b1b; */
        /* background-color: rgb(96, 159, 89); */
        /* border-color: #1c1b1b; */
    }
    .button:hover::before {
        transform-origin: right center;
        transform: scale(0,1);
        /* color: #000; */
    }
}
@media screen and (max-width: 1560px) {
    .EntranceBox{
        margin-right: 15vw;
    }
    .loginPage > img{
        width: 630px;
    }
}
@media screen and (max-width: 1366px) {
    .EntranceBox{
        margin-right: 10vw;
    }
}
@media screen and (max-width: 1200px) {

    .bob-mobile-logo img{
        max-width: 100%;
        height: 100%;
    }


    .EntranceBox{
        margin-right: auto;
        margin-top: 150px;
        width: 320px;
        padding: 15px 10px;
    }
    .loginPage > img{
        width: 380px;
    }
}
@media screen and (max-width: 992px) {
    .loginPage > img{
        width: 300px;
    }
}
@media screen and (max-width: 576px) {
    .EntranceBox {
        width: 360px;
        padding: 15px 10px;
    }
    .register-btn {
        font-size: 0.8rem;
        padding: 8px 0;
    }
    .change-register-btn {
        font-size: 0.8rem;
        padding: 8px 0;
    }
    .EntranceBox {
        margin-top: 150px;
    }
    .entrance-top-imgBox{
        width: 90px;
        height: 90px;
        inset: -50px 0 0;
    }
    .entrance-top-imgBox img{
        width: 48px;
    }
    .entrance-inputBox img {
        width: 25px;
        height: 25px;
    }
    .entrance-form,
    .messageForm{
        padding-top: 40px;
    }
    .entrance-inputBox{
        margin-top: 10px;
    }
    .entryError{
        margin-inline: auto !important;
        font-size: .7rem;
        padding: 10px 15px;
        margin-block: 15px;
    }
    .entrance-title{
        font-size: 1rem;
    }
    .button{
        margin-top: 10px;
    }
}
@media screen and (max-width: 375px) {
    .EntranceBox {
        width: 300px;
    }
    .entrance-top-imgBox{
        width: 80px;
        height: 80px;
    }
    .entrance-title{
        font-size: .9rem;
    }
    .entrance-form,
    .messageForm{
        padding-top: 20px;
    }
}
@media screen and (max-width: 340px) {
    .EntranceBox {
        width: 80%;
    }
    .loginPage > img{
        width: 250px;
    }
    .EntranceBox {
        margin-top: 60px;
    }
}


